# GET /referral-statistics

Return the account's referral statistics.

`GET https://api.aevo.xyz/referral-statistics`

> **Authentication required.** Include your `AEVO-KEY` and `AEVO-SECRET` headers. See [Authentication](/api-reference/urls/authentication.md).

## Example Request

```bash
curl --request GET \
     --url https://api.aevo.xyz/referral-statistics \
     --header 'accept: application/json' \
     --header 'AEVO-KEY: <your-api-key>' \
     --header 'AEVO-SECRET: <your-api-secret>'
```

## Responses

**`200`** — Referral statistics.

| Field                               | Type   | Required | Description                                                                                                            |
| ----------------------------------- | ------ | -------- | ---------------------------------------------------------------------------------------------------------------------- |
| `referred`                          | string | Yes      | Number of users Referrer has referred Example: `4`                                                                     |
| `volume`                            | string | Yes      | Volume in USDC terms. Example: `12.23`                                                                                 |
| `total_rewards`                     | string | Yes      | Total amount of rewards earned by an account for being a referrer or referee Example: `69.2`                           |
| `total_referral_bonus`              | string | Yes      | Total amount of rewards earned by an account for being a referrer Example: `69.2`                                      |
| `total_referee_discount`            | string | Yes      | Total amount of rewards earned by an account for being a referee Example: `69.2`                                       |
| `total_rewards_unclaimed`           | string | Yes      | Total amount of rewards earned by an account for being a referrer or referee that has not been claimed Example: `69.2` |
| `total_referral_bonus_unclaimed`    | string | Yes      | Total amount of rewards earned by an account for being a referrer that has not been claimed Example: `69.2`            |
| `total_referee_discount_unclaimed`  | string | Yes      | Total amount of rewards earned by an account for being a referee that has not been claimed Example: `69.2`             |
| `total_trading_fees_rewards`        | string | Yes      | Total amount of trading fees rewards earned by an account Example: `69.2`                                              |
| `total_trading_fees_rewards_volume` | string | Yes      | Total amount of trading fees rewards volume earned by an account Example: `69.2`                                       |

**`400`** — Bad request.

| Field   | Type   | Required | Description                                     |
| ------- | ------ | -------- | ----------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `ERR_MALFORMED_REQUEST` |

**`401`** — Unauthorized.

| Field   | Type   | Required | Description                            |
| ------- | ------ | -------- | -------------------------------------- |
| `error` | string | Yes      | Error message. Example: `UNAUTHORIZED` |

**`429`** — Rate limit exceeded.

| Field   | Type   | Required | Description                                   |
| ------- | ------ | -------- | --------------------------------------------- |
| `error` | string | Yes      | Error message. Example: `RATE_LIMIT_EXCEEDED` |

**`500`** — Internal server error.

| Field   | Type   | Required | Description                              |
| ------- | ------ | -------- | ---------------------------------------- |
| `error` | string | Yes      | Error message. Example: `INTERNAL_ERROR` |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aevo.xyz/api-reference/urls/private-api/getreferralstatistics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
